Skip to content
View as Markdown

GET List Funnels​

GET
/funnels

Retrieve a paginated list of automation funnels. Supports sorting, searching by title, and filtering by label IDs. Optionally includes trigger definitions.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

sort_by

Column to sort by.

Type
string
Default
"id"
sort_type

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
search

Search funnels by title (partial match).

Type
string
labels[]

Filter funnels by label IDs.

Type
array
with[]

Include additional related data. Supported values: triggers.

Type
array
per_page

Number of funnels per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of funnels.

application/json
JSON
{
"funnels": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
{
"id": 0,
"title": "string",
"slug": "string",
"color": "string"
}
]
}
]
},
"triggers": {
"additionalProperties": {
"label": "string",
"category": "string",
"description": "string"
}
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI